/*
	New Away System plugin for Miranda IM
	Copyright (C) 2005 Chervov Dmitry

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __M_NEWAWAYSYS_H
#define __M_NEWAWAYSYS_H

typedef struct {
	int cbSize;
	char *szProto; // pointer to protocol modulename (NULL means global)
	char *szMsg; // pointer to the status message (may be NULL - means that there's no specific message for this protocol)
/*
	Be aware that NAS allocates memory for szMsg through Miranda's memory management
	interface (MS_SYSTEM_GET_MMI) in MS_NAS_GETSTATE, and expects szMsg to be
	allocated through the same service in MS_NAS_SETSTATE. NAS deallocates szMsg
	in MS_NAS_SETSTATE.
*/
	WORD status; // the status
} NAS_PROTOINFO;

// MS_NAS_GETSTATE
// Fills specified array of NAS_PROTOINFO items with protocol data.
// You must construct the array and specify cbSize and szProto fields of
// all items in the array before calling this service.
// Remember to free szMsg fields through Miranda's MMI if you don't pass them back to NAS through MS_NAS_SETSTATE later.
// wParam = (WPARAM)(NAS_PROTOINFO**)pi - pointer to an array of pointers to NAS_PROTOINFO items to be filled (it's so for compatibility reasons).
// lParam = (LPARAM)(int)protoCount - number of items in pi.
// returns 0 on success
#define MS_NAS_GETSTATE "NewAwaySystem/GetState"

// MS_NAS_SETSTATE
// Changes status mode and message of specified protocols.
// (Note that this service deallocates szMsg field of the specified items through
// Miranda's MMI, so the array is not valid anymore after MS_NAS_SETPROTOSTATE returns!)
// wParam = (WPARAM)(NAS_PROTOINFO**)pi - pointer to an array of pointers to NAS_PROTOINFO items (it's so for compatibility reasons).
// lParam = (LPARAM)(int)protoCount - number of items in pi.
// returns 0 on success
#define MS_NAS_SETSTATE "NewAwaySystem/SetState"


#endif // __M_NEWAWAYSYS_H